/*
 * HealthcardIO - a library providing functionality for accessing healthcards
 *
 * Copyright (C) 2017  gematik - Gesellschaft für Telematikanwendungen der Gesundheitskarte mbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.gematik.security.iso7816;

/**
 * @author André Szdzuy
 */
public class Constants {

    // APDU response codes:

    public static final int APDU_RESPONSE_OK = 0x9000;
    public static final int APDU_RESPONSE_OFFSET_TOO_BIG = 0x6B00;
    public static final int APDU_RESPONSE_TOO_MUCH_DATA = 0x6282;
    public static final int APDU_RESPONSE_FILE_DEACTIVATED = 0x6283;
    public static final int APDU_RESPONSE_FILE_TERMINATED = 0x6285;
    public static final int APDU_RESPONSE_RECORD_NOT_FOUND = 0x6A83;
    public static final int APDU_RESPONSE_SECURITY_STATUS_NOT_SATISFIED = 0x6982;
    public static final int APDU_RESPONSE_FILE_NOT_FOUND = 0x6A82;

}
