/*
 * HealthcardIO - a library providing functionality for accessing healthcards
 *
 * Copyright (C) 2017  gematik - Gesellschaft für Telematikanwendungen der Gesundheitskarte mbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.gematik.security.test;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.junit.Test;

import javax.smartcardio.CardException;

import static org.junit.Assert.assertNotNull;

/**
 * @author André Szdzuy
 */
public class NfcDisconnectTest extends NfcBaseTest {
    private static final Log LOG = LogFactory.getLog(NfcDisconnectTest.class);

    @Test
    public void disconnectCard() throws CardException {
        LOG.info("disconnectCard() - only after last test is executed");

        assertNotNull("nfcCard is null", nfcCard);
        assertNotNull("healthcardContext is null", healthcardContext);

        try {
            nfcCard.disconnect(true);
            healthcardContext.close();

            LOG.info("Card disconnected!");
        } catch(CardException e) {
            LOG.error("close card unsuccessful");
            throw e;
        } finally {
            nfcCard = null;
            healthcardContext = null;
        }
    }

}
